Subject: [PATCH] ASoC: skip resume of soc-audio devices without codecs

From: [email-masked] (Mark Brown)
Date: Wed, 23 Nov 2011 14:58:28 +0000

On Wed, Nov 23, 2011 at 10:37:00PM +0800, Eric Miao wrote:
> There are cases where there is no working codec on the soc-audio devices,
> and snd_soc_suspend() will skip such device when suspending. Yet its
> counterpart snd_soc_resume() does not check this, causing complaints
> about spinlock lockup:

Oh, and I just noticed that you didn't CC either Liam or the ALSA list
which you really should've done.